Subject: bug#44412: RFE for 'env'?

From: Bernhard Voelker <[email-masked]>
Date: Tue, 3 Nov 2020 13:29:13 +0100

On 11/3/20 10:14 AM, L A Walsh wrote:
> I wanted to pass a switch to an interp line, but 'env' seems to dislike it.
> 
> I also noticed that env ignores '--' to indicate end of switches that it 
> should
> process.
> 
> How difficult would this be to do? Specifically,
> allow double-dash ("--") to indicate the end of 'env' switches such
> that any following arguments would be passed to program to be run?
> 
> I was surprised when I found out it didn't do this.
> 
> Thanks!

As you didn't give an example, it's hard for me to imagine what you
want to achieve, or better why current 'env' would "dislike it".

I mean, passing an environment variable starting with a minus already
works by using "--" as an option separator:

  $ env --chdir=/tmp -- -KEY=VAL printenv  -- -KEY
  VAL

What did I miss?

Have a nice day,
Berny